Subject: [bug#57598] [PATCH] doc: Update contribution guidelines on patches, etc.

From: Maxime Devos <[email-masked]>
Date: Sun, 25 Sep 2022 19:59:55 +0200

On 24-09-2022 15:03, Ludovic Courtès wrote:
> Hi!
> 
> Thanks for this welcome addition!  Modulo the cosmetic suggestions
> below, I think it’s fine.
> 
> Maintainers, if you have something to say on the guidelines, now’s the
> time!
> 
>    https://issues.guix.gnu.org/57598
> 
> Maxime Devos <[email-masked]> skribis:
> 
>> * doc/contributing.texi (Modifying Sources): Replaced with ...
>> ("Modifying Sources"): ... this.  List more use cases and some principles.
>>
>> This patch incorporates some text written by Liliana Marie Prikler.  The
>> structure is based on a proposal by Julien Lepiller.  The text has been
>> revised based on reviews by David Larsson and blake.
>>
>> (! remove following text before committing !)
> 
> You can write comments below the --- and diffstats.  That way, ‘git am’
> will ignore them when applying the patch.

I know of '---', but AFAICT this is undocumented behaviour, so I'm 
hesitant to rely on that.

 > [...]
> Could you send an updated version?

I intend to do so after bringing antiox to 100%.

Greetings,
Maxime.